curl --request GET \
--url https://api.fabric.inc/v3/categories-path \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/categories-path"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/categories-path', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "33184766610c0e32a86d8759",
"name": "ABC",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"level": 2,
"ancestors": [
{
"id": "78184766610c0e32a86d8757",
"name": "XYZ",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"level": 1
}
]
}
]
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request"
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "The payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Get Navigation Path for Categories
In Product Catalog, items are organized in a hierarchy tree structure of parent and children categories. This endpoint gets the navigation path starting from the root (level 0) until the given category IDs.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Query Parameters
Comma-separated locale codes of category. The service throws a 400 error if locale isn't supported. Standard locales can be found at https://www.rfc-editor.org/rfc/rfc5646. The recommended way to get the locale is by invoking multi-channel service
"fr-CA, en-US"
Navigation path for the category IDs, starting from the root category.
"64184766610c0e32a86d8758"
Response
OK
Navigation path for the given category
Show child attributes
Show child attributes
Was this page helpful?
